# NETWORK

```
void SET_ENTITY_EXISTS_ON_ALL_MACHINES(Entity entity, bool toggle)
int GET_NET_OBJECT_ID(Entity entity)
bool NETSHOP_TRANSFER_BANK_TO_WALLET(int charSlot, int amount)
bool NETSHOP_TRANSFER_WALLET_TO_BANK(int charSlot, int amount)
bool NETSHOP_TRANSFER_CASH_SET_TELEMETRY_NONCE_SEED()
bool NETSHOP_CHECKOUT_START(int transactionId)
int NETSHOP_BEGIN_SERVICE(Hash categoryHash, Hash itemHash, Hash actionTypeHash, int value, int flags)
string SC_GET_NICKNAME()
void NETWORK_SUPPRESS_INVITE(bool toggle)
void NETWORK_BLOCK_INVITES(bool toggle)
bool NETWORK_GET_THIS_SCRIPT_IS_NETWORK_SCRIPT()
string NETWORK_PLAYER_GET_NAME(Player player)
bool NETWORK_PLAYER_IS_ROCKSTAR_DEV(Player player)
bool NETWORK_PLAYER_INDEX_IS_CHEATER(Player player)
void NETWORK_FADE_IN_ENTITY(Entity entity, bool state, Any p2)
void NETWORK_FADE_OUT_ENTITY(Entity entity, bool normal, bool slow)
string GET_ONLINE_VERSION()
bool NETWORK_IS_HOST()
void NETWORK_SESSION_KICK_PLAYER(Player player)
bool TRIGGER_SCRIPT_CRC_CHECK_ON_PLAYER(Player player, int p1, Hash scriptHash)
void SET_THIS_SCRIPT_IS_NETWORK_SCRIPT(int maxNumMissionParticipants, bool p1, int instanceId)
bool REQUEST_CONTROL_OF_ENTITY(Entity entity)
bool HAS_CONTROL_OF_ENTITY(Entity entity)
bool IS_SESSION_STARTED()
Hash NETWORK_HASH_FROM_PLAYER(Player player)
int NETWORK_GET_MAX_FRIENDS()
int NETWORK_GET_FRIEND_COUNT()
bool NETWORK_IS_FRIEND_ONLINE(string name)
bool NETWORK_IS_FRIEND_IN_MULTIPLAYER(string friendName)
string NETWORK_GET_FRIEND_NAME(int friendIndex)
bool NETWORK_IS_FRIEND_INDEX_ONLINE(int friendIndex)
void NETWORK_SET_PLAYER_IS_PASSIVE(bool toggle)
int GET_FRIEND_SCID(string name)
bool IS_SCID_FRIEND(int scid)
void SEND_CHAT_MESSAGE(string message, bool team)
void SEND_CHAT_MESSAGE_AS(Player player, string message, bool team)
bool IS_MULTIPLAYER_CHAT_ACTIVE()
void CLOSE_MULTIPLAYER_CHAT()
void NETWORK_SET_IN_SPECTATOR_MODE(bool toggle, Ped playerPed)
bool NETWORK_IS_PLAYER_CONNECTED(Player player)
void MIGRATE_SCRIPT_HOST()
void MIGRATE_SCRIPT_HOST(string script)
int NETWORK_GET_NETWORK_ID_FROM_ENTITY(Entity entity)
void SET_NETWORK_ID_CAN_MIGRATE(int netId, bool toggle)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cherax.vip/lua-documentation/api-reference/natives/network.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
